Bug 10528 - SOCK_CLOEXEC and SOCK_NONBLOCK does not match the kernel value
Summary: SOCK_CLOEXEC and SOCK_NONBLOCK does not match the kernel value
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: ports (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Roland McGrath
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-16 13:27 IST by Aurelien Jarno
Modified: 2014-07-01 07:07 IST (History)
2 users (show)

See Also:
Host: alpha-unknown-linux-gnu
Target: alpha-unknown-linux-gnu
Build: alpha-unknown-linux-gnu
Last reconfirmed:
fweimer: security-


Attachments
Patch to fix the problem (4.67 KB, patch)
2009-08-16 13:28 IST, Aurelien Jarno
Details | Diff
New patch (4.67 KB, patch)
2010-02-13 10:08 IST, Aurelien Jarno
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aurelien Jarno 2009-08-16 13:27:54 IST
SOCK_NONBLOCK on alpha does not match the kernel value as the default value is 
not used on this architecture. It needs its own version of bits/socket.h.

Patch will follow.
Comment 1 Aurelien Jarno 2009-08-16 13:28:31 IST
Created attachment 4138 [details]
Patch to fix the problem
Comment 2 Aurelien Jarno 2010-02-13 10:07:52 IST
SOCK_CLOEXEC is also affected, new patch will follow
Comment 3 Aurelien Jarno 2010-02-13 10:08:58 IST
Created attachment 4595 [details]
New patch
Comment 4 Joseph Myers 2010-03-23 15:24:08 IST
I have applied a patch for this issue as discussed on libc-ports.